MsWksGraphInternal::Pattern Struct Reference

Internal the pattern ressource of a MsWksGraph. More...

## Public Member Functions

| Pattern (int num, uint16_t const *data)
| constructor ( 4 int by patterns )
bool | get (int id, MWAWGraphicStyle::Pattern &pat) const
| return the pattern corresponding to an id
float | getPercent (int id) const
| return the percentage corresponding to a pattern

## Public Attributes

int | m_num
| the number of patterns
std::vector< unsigned char > | m_valuesList
| the pattern values (8 data by pattern)
std::vector< float > | m_percentList
| the pattern percent values

## Detailed Description

Internal the pattern ressource of a MsWksGraph.

## Constructor & Destructor Documentation

## Pattern()

MsWksGraphInternal::Pattern::Pattern | ( | int | num,
|  | uint16_t const * | data )

inline

constructor ( 4 int by patterns )

## Member Function Documentation

## get()

bool MsWksGraphInternal::Pattern::get | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pat ) const

inline

return the pattern corresponding to an id

## getPercent()

float MsWksGraphInternal::Pattern::getPercent | ( | int | id | ) | const

inline

return the percentage corresponding to a pattern

## Member Data Documentation

## m_num

int MsWksGraphInternal::Pattern::m_num

the number of patterns

Referenced by get(), getPercent(), and Pattern().

## m_percentList

std::vector<float> MsWksGraphInternal::Pattern::m_percentList

the pattern percent values

Referenced by getPercent(), and Pattern().

## m_valuesList

std::vector<unsigned char> MsWksGraphInternal::Pattern::m_valuesList

the pattern values (8 data by pattern)

Referenced by get(), and Pattern().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx